ApiRollingRestartClusterArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRollingRestartClusterArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRollingRestartClusterArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRollingRestartClusterArgs
      extends Object

  Arguments used for Rolling Restart Cluster command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRollingRestartClusterArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRollingRestartClusterArgs` | `addRestartServiceNamesItem(String restartServiceNamesItem)`
    `boolean` | `equals(Object o)`
    `List<String>` | `getRestartServiceNames()` List of services to restart.
    `ApiRolesToInclude` | `getRolesToInclude()` Get rolesToInclude
    `BigDecimal` | `getSlaveBatchSize()` Number of hosts with slave roles to restart at a time.
    `BigDecimal` | `getSlaveFailCountThreshold()` The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed.
    `BigDecimal` | `getSleepSeconds()` Number of seconds to sleep between restarts of slave host batches.
    `int` | `hashCode()`
    `Boolean` | `isRedeployClientConfiguration()` Re-deploy client configuration.
    `Boolean` | `isStaleConfigsOnly()` Restart roles with stale configs only.
    `Boolean` | `isUnUpgradedOnly()` Restart roles that haven't been upgraded yet.
    `ApiRollingRestartClusterArgs` | `redeployClientConfiguration(Boolean redeployClientConfiguration)`
    `ApiRollingRestartClusterArgs` | `restartServiceNames(List<String> restartServiceNames)`
    `ApiRollingRestartClusterArgs` | `rolesToInclude(ApiRolesToInclude rolesToInclude)`
    `void` | `setRedeployClientConfiguration(Boolean redeployClientConfiguration)`
    `void` | `setRestartServiceNames(List<String> restartServiceNames)`
    `void` | `setRolesToInclude(ApiRolesToInclude rolesToInclude)`
    `void` | `setSlaveBatchSize(BigDecimal slaveBatchSize)`
    `void` | `setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `void` | `setSleepSeconds(BigDecimal sleepSeconds)`
    `void` | `setStaleConfigsOnly(Boolean staleConfigsOnly)`
    `void` | `setUnUpgradedOnly(Boolean unUpgradedOnly)`
    `ApiRollingRestartClusterArgs` | `slaveBatchSize(BigDecimal slaveBatchSize)`
    `ApiRollingRestartClusterArgs` | `slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)`
    `ApiRollingRestartClusterArgs` | `sleepSeconds(BigDecimal sleepSeconds)`
    `ApiRollingRestartClusterArgs` | `staleConfigsOnly(Boolean staleConfigsOnly)`
    `String` | `toString()`
    `ApiRollingRestartClusterArgs` | `unUpgradedOnly(Boolean unUpgradedOnly)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRollingRestartClusterArgs

          public ApiRollingRestartClusterArgs()

  - ### Method Detail

    - #### slaveBatchSize

          public ApiRollingRestartClusterArgs slaveBatchSize(BigDecimal slaveBatchSize)

    - #### getSlaveBatchSize

          public BigDecimal getSlaveBatchSize()

      Number of hosts with slave roles to restart at a time. Must be greater than zero. Default is 1.
      Returns:
        slaveBatchSize

    - #### setSlaveBatchSize

          public void setSlaveBatchSize(BigDecimal slaveBatchSize)

    - #### sleepSeconds

          public ApiRollingRestartClusterArgs sleepSeconds(BigDecimal sleepSeconds)

    - #### getSleepSeconds

          public BigDecimal getSleepSeconds()

      Number of seconds to sleep between restarts of slave host batches. <p> Must be greater than or equal to 0. Default is 0.
      Returns:
        sleepSeconds

    - #### setSleepSeconds

          public void setSleepSeconds(BigDecimal sleepSeconds)

    - #### slaveFailCountThreshold

          public ApiRollingRestartClusterArgs slaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### getSlaveFailCountThreshold

          public BigDecimal getSlaveFailCountThreshold()

      The threshold for number of slave host batches that are allowed to fail to restart before the entire command is considered failed. <p> Must be greater than or equal to 0. Default is 0. <p> This argument is for ADVANCED users only. </p>
      Returns:
        slaveFailCountThreshold

    - #### setSlaveFailCountThreshold

          public void setSlaveFailCountThreshold(BigDecimal slaveFailCountThreshold)

    - #### staleConfigsOnly

          public ApiRollingRestartClusterArgs staleConfigsOnly(Boolean staleConfigsOnly)

    - #### isStaleConfigsOnly

          public Boolean isStaleConfigsOnly()

      Restart roles with stale configs only.
      Returns:
        staleConfigsOnly

    - #### setStaleConfigsOnly

          public void setStaleConfigsOnly(Boolean staleConfigsOnly)

    - #### unUpgradedOnly

          public ApiRollingRestartClusterArgs unUpgradedOnly(Boolean unUpgradedOnly)

    - #### isUnUpgradedOnly

          public Boolean isUnUpgradedOnly()

      Restart roles that haven't been upgraded yet.
      Returns:
        unUpgradedOnly

    - #### setUnUpgradedOnly

          public void setUnUpgradedOnly(Boolean unUpgradedOnly)

    - #### redeployClientConfiguration

          public ApiRollingRestartClusterArgs redeployClientConfiguration(Boolean redeployClientConfiguration)

    - #### isRedeployClientConfiguration

          public Boolean isRedeployClientConfiguration()

      Re-deploy client configuration. Available since API v6.
      Returns:
        redeployClientConfiguration

    - #### setRedeployClientConfiguration

          public void setRedeployClientConfiguration(Boolean redeployClientConfiguration)

    - #### rolesToInclude

          public ApiRollingRestartClusterArgs rolesToInclude(ApiRolesToInclude rolesToInclude)

    - #### getRolesToInclude

          public ApiRolesToInclude getRolesToInclude()

      Get rolesToInclude
      Returns:
        rolesToInclude

    - #### setRolesToInclude

          public void setRolesToInclude(ApiRolesToInclude rolesToInclude)

    - #### restartServiceNames

          public ApiRollingRestartClusterArgs restartServiceNames(List<String> restartServiceNames)

    - #### addRestartServiceNamesItem

          public ApiRollingRestartClusterArgs addRestartServiceNamesItem(String restartServiceNamesItem)

    - #### getRestartServiceNames

          public List<String> getRestartServiceNames()

      List of services to restart.
      Returns:
        restartServiceNames

    - #### setRestartServiceNames

          public void setRestartServiceNames(List<String> restartServiceNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.